petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecAYPX

Computes y = x + alpha y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAYPX(Vec y,PetscScalar alpha,Vec x)

Logically Collective on Vec

### Input Parameters

| alpha | - the scalar
| x, y | - the vectors

### Output Parameter

y -output vector

Notes: x and y MUST be different vectors

### See Also

VecAXPY(), VecWAXPY()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/vec/vec/examples/tutorials/ex20f90.F90.html
src/ksp/ksp/examples/tutorials/ex14f.F.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex31.c.html
src/ts/examples/tutorials/ex31.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html